curl --request GET \
--url https://api.altostrat.io/radius/migration/jobs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "mig_job_01HGN7RXYZABC123",
"type": "dry-run",
"filename": "user_import_q4.csv",
"status": "completed",
"total_rows": 1000,
"processed_rows": 1000,
"created_count": 990,
"updated_count": 0,
"skipped_count": 5,
"error_count": 5,
"results_url": "<string>",
"summary": {
"total_rows": 123,
"created": 123,
"updated": 123,
"skipped": 123,
"errors": 123
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"per_page": 25,
"has_more": true,
"next_cursor": "eyJwayI6eyJT..."
},
"links": {
"first": "https://api.altostrat.io/radius/users?per_page=25",
"next": "https://api.altostrat.io/radius/users?per_page=25&cursor=eyJwayI6eyJT..."
}
}Retrieves a paginated list of all past and current migration jobs.
curl --request GET \
--url https://api.altostrat.io/radius/migration/jobs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "mig_job_01HGN7RXYZABC123",
"type": "dry-run",
"filename": "user_import_q4.csv",
"status": "completed",
"total_rows": 1000,
"processed_rows": 1000,
"created_count": 990,
"updated_count": 0,
"skipped_count": 5,
"error_count": 5,
"results_url": "<string>",
"summary": {
"total_rows": 123,
"created": 123,
"updated": 123,
"skipped": 123,
"errors": 123
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"per_page": 25,
"has_more": true,
"next_cursor": "eyJwayI6eyJT..."
},
"links": {
"first": "https://api.altostrat.io/radius/users?per_page=25",
"next": "https://api.altostrat.io/radius/users?per_page=25&cursor=eyJwayI6eyJT..."
}
}Enter your API key in the format: Bearer
The number of items to return per page.
1 <= x <= 100An opaque cursor for navigating to the next page of results.
A paginated list of migration jobs.
Show child attributes
"mig_job_01HGN7RXYZABC123"
dry-run, import "dry-run"
The original filename of the uploaded CSV.
"user_import_q4.csv"
queued, processing, validating, completed, failed "completed"
1000
1000
990
0
5
5
A pre-signed URL to download a log file of any errors that occurred. Only present if there are errors.
Show child attributes
Was this page helpful?